{% extends "base.html" %}
{% load static %}
{% load i18n %}

{% block content %}
    <!-- ==========Page Header Section Starts Here========== -->
    <div class="pageheader" style="background-image:url({% static "assets/images/bg/home1/1.png" %})">
        <div class="container">
            <div class="pageheader__content">
                <h2>{% trans "About Us" %}</h2>
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{% url "home:home" %}">{% trans "Home" %}</a></li>
                        <li class="breadcrumb-item active" aria-current="page">{% trans "About Us" %}</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
    <!-- ==========Page Header Section Ends Here========== -->


    <!-- ===============>> About section start here <<================= -->
    <section class="about about--style5 padding-top padding-bottom">
        <div class="container">
            <div class="about__wrapper">
                <div class="row g-5 align-items-center">
                    <div class="col-lg-7 col-md-8">
                        <div class="about__content" data-aos="fade-right" data-aos-duration="800" data-aos-delay="100">
                            <div class="section-header">
                                <div class="subtitle subtitle--style4">
                                    <p class="mb-0">{% trans "Who we are?" %}</p>
                                </div>
                                <h2 class="about-title">{{ about.title }}</h2>
                                <p>{{ about.body }}.</p>
                            </div>
                            <div class="about__counter">
                                <div class="about__counter-item">
                                    <h3> <span class="purecounter" data-purecounter-start="796"
                                            data-purecounter-end="796" data-purecounter-once="false">796</span>+</h3>
                                    <p>{% trans "Students" %}</p>
                                </div>
                                <div class="about__counter-item">
                                    <h3><span class="purecounter" data-purecounter-start="0" data-purecounter-end="{{ companies|length  }}"
                                            data-purecounter-once="false">{{ companies|length }}</span>+</h3>
                                    <p>{% trans "Companies" %}</p>
                                </div>
                                <div class="about__counter-item">
                                    <h3><span class="purecounter" data-purecounter-start="0" data-purecounter-end="{{ project|length  }}"
                                            data-purecounter-once="false">{{ project|length }}</span>+</h3>
                                    <p>{% trans "Projects" %}</p>
                                </div>
                                <div class="about__counter-item">
                                    <h3><span class="purecounter" data-purecounter-start="0" data-purecounter-end="{{ cources|length }}"
                                            data-purecounter-once="false">{{ cources|length }}</span>+</h3>
                                    <p>{% trans "Courses" %}</p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-5 col-md-4">
                        <div class="about__thumb" data-aos="fade-left" data-aos-duration="800" data-aos-delay="100">
                            <div class="about__thumb-inner">
                                <div class="about__thumb-image">
                                    {% if about.photo %}
                                    <img src="{{ about.photo.url }}" alt="about-image">
                                    {% endif %}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- ===============>> About section start here <<================= -->

    <!-- ===============>> feature section start here <<================= -->
    <section class="feature padding-bottom padding-top ">
        <div class="container" data-aos="fade-up" data-aos-duration="800" data-aos-delay="100">
            <div class="section-header text-center">
                <div class="subtitle subtitle--style5 justify-content-center">
                    <p class="mb-0">{% trans "Our specialties" %}</p>
                </div>
                <h2>{{ about.project_title }}</h2>
                <p class="style2">{{ about.project_body }}</p>
            </div>
            <div class="feature__wrapper">
                <div class="row g-4">
                    {% for project in project %}
                        <div class="col-md-4 col-sm-6">
                            <div class="feature__item" data-aos="fade-up" data-aos-duration="800" data-aos-delay="100">
                                <div class="feature__item-inner">
                                    <div class="feature__thumb">
                                        <img src="{{ project.photo.url }}" alt="feature-image">
                                    </div>
                                    <div class="feature__content">
                                        <h5>{{ project.title }}</h5>
                                        <p class="mb-0">{{ project.body }}</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                </div>
            </div>
        </div>
    </section>
    <!-- ===============>> feature section end here <<================= -->


    <!-- ===============>> Popular course section start here <<================= -->

    <section class="course course--style1 padding-top padding-bottom brand-1">
        <div class="container-fluid px-lg-0" data-aos="fade-up" data-aos-duration="800">
            <div class="section-header text-center section-header--dark">
                <h2>{% trans "Our Most Popular Courses" %}</h2>
                <p class="style4">{{ homepage.cource_description }}</p>
            </div>
            <div class="course__wrapper">
                <div class="course__slider swiper">
                    <div class="swiper-wrapper">
                        {% for cource in cources %}
                            <div class="swiper-slide">
                                <div class="course__item">
                                    <div class="course__item-inner">
                                        <div class="course__thumb">
                                            {% if cource.photo %}
                                                <img src="{{ cource.photo.url }}" alt="course Images">
                                            {% endif %}
                                            <a href="#" class="course__btn course__btn--save"><i
                                                    class="fa-regular fa-bookmark"></i></a>
                                        </div>

                                        <div class="course__content">
                                            <div class="course__content-top">
                                                <span class="course__meta-tag course__meta-tag--cat{{ cource.category.style }}">{{ cource.category.name }}</span>
                                                <div class="course__focus-inner">
                                                    <span>4.9</span>
                                                    <img src="{% static "assets/images/course/star.png" %}" alt="review-star">
                                                    <span>(526)</span>
                                                </div>
                                            </div>
                                            <h6> <a href="{% url "cource:cource_detail" cource.id %}">{{ cource.title|slice:50 }}</a> </h6>
                                            <div class="course__content-bottom">
                                                <a href="{% url "home:mentor_detail" cource.teacher.id %}">
                                                    {% if cource.teacher.photo %}
                                                        <img src="{{ cource.teacher.photo.url }}" width='10%'
                                                        alt="avatar">
                                                    {% endif %} {{ cource.teacher.full_name }}</a>
                                                <div class="course-price">
                                                    {% if cource.get_descount_price %}
                                                    <del>{{ cource.price }} {% trans "so'm" %}</del> <span>  {{ cource.get_descount_price }} {% trans "so'm" %}</span>
                                                    {% else %}
                                                    <span>  {{ cource.price }} {% trans "so'm" %}</span>
                                                    {% endif %}

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        {% endfor %}

                    </div>
                    <div class="slider__pagination-1"></div>
                </div>
            </div>
        </div>
    </section>

    <!-- ===============>> Popular course section end here <<================= -->



    <!-- ===============>> Team section start here <<================= -->
    <section class="team  team--style1 padding-bottom padding-top">
        <div class="container" data-aos="fade-up" data-aos-duration="800">
            <div class="team__wrapper">
                <div class="row g-4">
                    <div class="col-md-6 col-sm-12">
                        <div class="team__header" data-aos="fade-up" data-aos-duration="800" data-aos-delay="100">
                            <h2>{% trans "Meet Our Expert" %}</h2>
                            <p class="style3">{{ homepage.mentor_description }} </p>
                            <a href="{% url "home:mentor" %}" class="trk-btn trk-btn--rounded trk-btn--secondary1">{% trans "All Memebers" %}</a>
                        </div>
                    </div>
                    {% for mentor in mentors %}
                        <div class="col-lg-3 col-sm-6">
                            <div class="team__item">
                                <div class="team__item-inner">
                                    <div class="team__item-thumb">
                                        {% if  mentor.photo %}
                                         <img src="{{ mentor.photo.url }}" alt="Team Image">
                                        {% endif %}
                                    </div>
                                    <div class="team__item-content team__item-content--style1">
                                        <div class="team__item-author">
                                            <h6><a href="{% url "home:mentor_detail" mentor.id %}">{{ mentor.full_name }}</a> </h6>
                                            <p>{{ mentor.specialty }}</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                </div>
            </div>
        </div>
    </section>
    <!-- ===============>> Team section end here <<================= -->





    <!-- ===============>> Testimonial section start here <<================= -->
    <section class="testimonial testimonial--style1 padding-top padding-bottom brand-1 mb-5">
        <div class="container" data-aos="fade-up" data-aos-duration="800">
            <div class="section-header text-center section-header--dark">
                <h2>{% trans "What Clients Have to Say About Us" %}</h2>
                <p class="style2">{% trans "Interdum et malesuada fames ac ante ipsum" %}</p>
            </div>
            <div class="testimonial__wrapper">
                <div class="testimonial__slider swiper">
                    <div class="swiper-wrapper">
                        {% for client_mind in client_mind %}
                            <div class="swiper-slide">
                                <div class="testimonial__item">
                                    <div class="testimonial__item-inner">
                                        <div class="testimonial__item-content">
                                            <span><i class="fa-solid fa-quote-left"></i></span>
                                            <blockquote class="blockquote">
                                                <p>{{ client_mind.body }}</p>
                                            </blockquote>
                                            <blockquote class="blockquote">
                                                <p></p>
                                            </blockquote>
                                            <div class="testimonial__item-author">
                                                <p>{{ client_mind.full_name }}</p>
                                                <span>{{ client_mind.specialty }}</span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                    <!-- <div class="testimonial__pagination"></div> -->
                </div>
                <div thumbsSlider="" class="testimonial__author swiper mt-5">
                    <div class="swiper-wrapper">
                        {% for client_photo in client_mind %}
                            <div class="swiper-slide">
                                <div class="testimonial__author-thumb">
                                    {% if client_photo.photo %}
                                        <img src="{{ client_photo.photo.url }}" alt="author-image">
                                    {% endif %}
                                </div>

                            </div>
                        {% endfor %}

                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- ===============>> Testimonial section end here <<================= -->



    <!-- ===============>> newsletter start here <<================= -->
    <div class="newsletter" data-aos="fade-up" data-aos-duration="800">
        <div class="container">
            <div class="newsletter__wrapper">
                <div class="newsletter__content">
                    <div class="newsletter__content-inner newsletter__content-inner--style1 text-center"
                        style="background-image:url({% static "assets/images/footer/2.png" %})">
                        <h2>{% trans "Start learning future professions online with us right now" %}</h2>

                        <a href="{% url "accounts:signup" %}" class="trk-btn trk-btn--rounded trk-btn--primary1">{% trans "Join With Us" %}</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- ===============>> newsletter end here <<================= -->

{% endblock content %}